<?php

namespace PdInternalApi;

use Illuminate\Http\Request;

class ServiceProvider extends \Illuminate\Support\ServiceProvider
{
	
	public function boot(){
		Request::setTrustedProxies([
			//pod network
			'172.20.0.0/16',
			//vpc
			'10.0.0.0/16',
			//local
			'127.0.0.1',
			//北京办公区
			'172.16.0.0/16',
			//aliyun slb
			'100.116.0.0/16',
		], Request::HEADER_X_FORWARDED_ALL);
	}
	
    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        $this->app->configure('internal_api');
        foreach (config('internal_api.client') as $service_name => $config) {
            $this->app->singleton('internal.api.' . $service_name, function () use ($service_name, $config) {
                return new Client($service_name, $config);
            });
        }

    }
}
